Mail archive
alpine-aports

[alpine-aports] [PATCH 6/6] testing/py-snuggs: new aport

From: Trevor R.H. Clarke <trevor_at_notcows.com>
Date: Sun, 28 Feb 2016 20:54:53 -0500

https://github.com/mapbox/snuggs
Snuggs are s-expressions for Numpy
---
 testing/py-snuggs/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-snuggs/APKBUILD
diff --git a/testing/py-snuggs/APKBUILD b/testing/py-snuggs/APKBUILD
new file mode 100644
index 0000000..71667b9
--- /dev/null
+++ b/testing/py-snuggs/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <trevor_at_notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor_at_notcows.com>
+pkgname=py-snuggs
+pkgver="1.3.1"
+pkgrel=0
+pkgdesc="Snuggs are s-expressions for Numpy"
+url="https://github.com/mapbox/snuggs"
+arch="all"
+license="MIT"
+depends="python py-numpy py-click py-parsing"
+makedepends="python-dev py-numpy-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install snuggs --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 28 2016 - 20:54:53 GMT